Subject: [Fot] Kas at Tustin Thunder

From: John Frymark via Fot <[email-masked]>
Date: Wed, 14 Apr 2021 20:18:34 -0500

Kas signed my car there, but after he asked how it was running. I explained that I was chasing an engine issue and he said “let me see your spark plugs.” He read them and suggested a carb adjustment. He read my plugs many times over the years and it became our joke. When he and Peggy visited our new ranch in Texas before the Cup here in 2014 he was very impressed with our cows and horses. I explained that I learned how to read their poop. He laughed that great Kas laugh when he was tickled by a joke. We laughed about that over the phone just 2 weeks ago.

Never Beaten by Equipment was aspirational for us amateur racers and he knew that so well.
RIP Kas.

Sent from my iPad
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]